Package org.apache.sling.installer.api.tasks

# Interface ResourceUpdater

@ConsumerType public interface ResourceUpdater
A resource updater can be used if the processing of resources changes with regards to the entity id and the alias. This can be used by plugin implementations to update this information. The resource updater is called once when it is registered and picked up by the OSGi installer with all known resource groups at this point of time. The resource updater might be called more than once and therefore should take action to either process the group as quickly as possible on further invocation or unregister itself.

Since:
  1.5.0

## Method Summary

Modifier and Type
Method
Description
`void`
`update(@NotNull Collection<UpdatableResourceGroup> groups)`
Inform the resource handler about all known group

## Method Details

### update

void update(@NotNull @NotNull Collection<UpdatableResourceGroup> groups)
Inform the resource handler about all known group

Parameters:
  `groups` - The groups of resources to update